ModCertTemplate (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmc

## Class ModCertTemplate

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.ModCertTemplate

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ModCertTemplate
      extends ASN1Object

       id-cmc-modCertTemplate OBJECT IDENTIFIER ::= {id-cmc 31}

       ModCertTemplate ::= SEQUENCE {
          pkiDataReference             BodyPartPath,
          certReferences               BodyPartList,
          replace                      BOOLEAN DEFAULT TRUE,
          certTemplate                 CertTemplate
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModCertTemplate(BodyPartPath pkiDataReference, BodyPartList certReferences, boolean replace, CertTemplate certTemplate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BodyPartList` | `getCertReferences()`
    `CertTemplate` | `getCertTemplate()`
    `static ModCertTemplate` | `getInstance(java.lang.Object o)`
    `BodyPartPath` | `getPkiDataReference()`
    `boolean` | `isReplacingFields()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModCertTemplate

          public ModCertTemplate(BodyPartPath pkiDataReference,
                                 BodyPartList certReferences,
                                 boolean replace,
                                 CertTemplate certTemplate)

  - ### Method Detail

    - #### getInstance

          public static ModCertTemplate getInstance(java.lang.Object o)

    - #### getPkiDataReference

          public BodyPartPath getPkiDataReference()

    - #### getCertReferences

          public BodyPartList getCertReferences()

    - #### isReplacingFields

          public boolean isReplacingFields()

    - #### getCertTemplate

          public CertTemplate getCertTemplate()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.